OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnitAndVolumeUnit Class Reference

`#include <StepBasic_ConversionBasedUnitAndVolumeUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnitAndVolumeUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_ConversionBasedUnitAndVolumeUnit ()
| Returns a ConversionBasedUnitAndVolumeUnit .
Standard_EXPORT void | SetVolumeUnit (const Handle(StepBasic_VolumeUnit)&aVolumeUnit)
Standard_EXPORT Handle_StepBasic_VolumeUnit | VolumeUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_VolumeUnit | volumeUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnitAndVolumeUnit::StepBasic_ConversionBasedUnitAndVolumeUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ConversionBasedUnitAndVolumeUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ConversionBasedUnit.

Standard_EXPORT void StepBasic_ConversionBasedUnitAndVolumeUnit::SetVolumeUnit | ( | const Handle(StepBasic_VolumeUnit)& | aVolumeUnit | ) |

Standard_EXPORT Handle_StepBasic_VolumeUnit StepBasic_ConversionBasedUnitAndVolumeUnit::VolumeUnit | ( |  | ) | const

## Field Documentation

Handle_StepBasic_VolumeUnit StepBasic_ConversionBasedUnitAndVolumeUnit::volumeUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnitAndVolumeUnit.hxx